## org.eclipse.jst.pagedesigner.converter
Class TagConverterToInlineBlock

    java.lang.Object
      org.eclipse.jst.pagedesigner.converter.AbstractTagConverter
          org.eclipse.jst.pagedesigner.converter.TagConverterToInlineBlock

All Implemented Interfaces:
  IDOMFactory, ITagConverter, org.eclipse.jst.pagedesigner.css2.style.ITagEditInfo

    public class TagConverterToInlineBlock

extends AbstractTagConverter

This converter can be used simply convert the tag to inline div, and copy all the children NOTE: It behave almost same as "span". In fact, we may remove this later, if our css engine support "minWidth"/"minHeight" for inline element. NOTE: it will not copy attributes!

Version:
  1.5
See Also:
  `ITagEditInfo.getMinHeight()`, `ITagEditInfo.getMinWidth()`

Constructor Summary
`TagConverterToInlineBlock(org.w3c.dom.Element host, int mode)`

Method Summary
`boolean` `isMultiLevel()` When the convert result in multi-level element.
`boolean` `isWidget()`

Methods inherited from class org.eclipse.jst.pagedesigner.converter.AbstractTagConverter

`convertRefresh, createElement, createText, dispose, getChildModeList, getChildVisualPosition, getDestDocument, getHostElement, getMinHeight, getMinWidth, getMode, getNonVisualChildren, getResultElement, getVisualImage, hasAttribute, isAdapterForType, isDesignerMode, isPreviewMode, isVisualByHTML, needBorderDecorator, needTableDecorator, notifyChanged, setDestDocument, setMinHeight, setMinWidth, setMode, setNeedBorderDecorator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagConverterToInlineBlock

    public TagConverterToInlineBlock(org.w3c.dom.Element host,
                                     int mode)

Parameters:
  `host` -
  `mode` -

Method Detail

### isMultiLevel

    public boolean isMultiLevel()

  Description copied from interface: `ITagConverter`
  When the convert result in multi-level element. If this method return false, then the caller should not use child nodes of `getHostElement()`

  Returns:
    true if the host element has convertable children

### isWidget

    public boolean isWidget()

  Returns:
    true if the host element is a widget